/*
 * Copyright 2009 Canonical Ltd.
 * 
 * This program is free software: you can redistribute it and/or modify it 
 * under the terms of either or both of the following licenses:
 *
 * 1) the GNU Lesser General Public License version 3, as published by the 
 * Free Software Foundation; and/or
 * 2) the GNU Lesser General Public License version 2.1, as published by 
 * the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranties of 
 * MERCHANTABILITY, SATISFACTORY QUALITY or FITNESS FOR A PARTICULAR 
 * PURPOSE.  See the applicable version of the GNU Lesser General Public 
 * License for more details.
 * 
 * You should have received a copy of both the GNU Lesser General Public 
 * License version 3 and version 2.1 along with this program.  If not, see 
 * <http://www.gnu.org/licenses/>
 *
 * Authored by: Neil Jagdish Patel <neil.patel@canonical.com>
 *
 */

#ifndef _CTK_MAIN_H_
#define _CTK_MAIN_H_

#include <glib.h>
#include <clutter/clutter.h>
#include <cairo/cairo.h>

G_BEGIN_DECLS

void     ctk_init           (gint *argc, gchar ***argv);
void     ctk_init_after     (gint *argc, gchar ***argv);
void     ctk_cleanup        (void);
gdouble  ctk_pixel_to_em    (gint pixel_value);
gdouble  ctk_em_to_pixel    (gdouble em_value);
void     ctk_surface_blur   (cairo_surface_t* surface, guint radius);

G_END_DECLS

#endif /* _CTK_MAIN_H_ */

